PDA

View Full Version : BattleFIeld 2 and PunkBuster


-=DVS=-
07-09-05, 02:30 PM
Im getting this message every time i join server , just started happening today, i updated BF2 with file pbweb.exe , but still same happens ? anyone know how to fix this ? after few minutes im getting kicked also.

http://img299.imageshack.us/img299/9872/bf23eb.png

toxikneedle
07-09-05, 02:38 PM
I had the same happen on a couple of servers yesterday. I bet it has something to do with server files since there is a memory leak for 1.1 server files. A lot of servers went back to older server files inorder to avoid the memory leak. A hotfix is supposed to be out soon so I bet everything will be back to normal after that.

-=DVS=-
07-09-05, 02:42 PM
Reading PunkBuster site , found command pb_security 0 , should let you play on outdated servers , gotta try it out.

Edge
07-10-05, 12:45 AM
Im getting this message every time i join server , just started happening today, i updated BF2 with file pbweb.exe , but still same happens ?[/IMG]
Actually that's the problem right there: your Punkbuster version is newer than the server's since it's been updated. It happens because the servers are running an old version of Punkbuster, likely because they're using the 1.0 version of the game which has an older versoin of Punkbuster. Unfortunately, connecting to any server which DOES have the newer version of Punkbuster (i.e. the 1.01 servers) will automatically update your version of Punkbuster, which causes issues when you play again on the old servers.

While you can disable the warning, there is unfortunately nothing you can do about the server kicking you after a few minutes since different Punkbuster versions seem to be incompatable with eachother, and the kicking happens from server side, not client side. At least that's how I thought it worked...I guess I could be wrong though. Either way, try the pb_security command fix, and if it still kicks you then I guess you'll either have to play only on updated servers while you wait for the hotfix.

Superfly
07-10-05, 04:03 PM
pb_sv_update in console

much easier than pbweb.

WhyYouLoveMe
07-11-05, 12:08 PM
I've been having the exact same problem. Some servers are running the old PB 110 version, instead of the 123 or 130 version or whatever it is... Anyway, I had my buddy e-mail me his entire PB\htm folder and I overwrote mine. It fixed it for that particular server, but the next time I tried to join a different server, the same error popped up again. Some servers just don't work w/all the patch changes and PB updates. Seriously... this game is so fun and addicting while at the same time so frustrating to try to play. When I get that error, I am forced to find another server. *sniff*

rewt
07-11-05, 01:23 PM
It's not your fault. Its the server's fault for not updating. Hell even most of the demo servers run the new punkbuster version...

BioHazZarD
07-11-05, 02:18 PM
better wait for a real patch fix from EA but this sucks big time.